# ListURocketMQToken - ListURocketMQToken

## Overview

List token






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ListURocketMQToken`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Leave empty for the default project; sub-accounts must fill this in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |**Yes**|
| **ServiceId** | string | Service ID |**Yes**|
| **Limit** | int | Return data length, default is 20, maximum is 100 |No|
| **Offset** | int | Starting position offset of the list, default is 0 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TokenList** | array[[*TokenDetail*](#tokendetail)] | Token Configuration Array |**Yes**|
| **TotalCount** | int | Total Tokens |**Yes**|

#### Data Model


#### TokenDetail

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **AKSK** | [*AKSK*](#aksk) | Key |**Yes**|
| **TokenId** | string | Token ID |**Yes**|
| **TopicProducePerm** | string | Topic Production Permission |**Yes**|
| **TopicConsumePerm** | string | Topic Consumption Permissions |**Yes**|
| **ServiceId** | string | Service ID |**Yes**|
| **Name** | string | Token Name |**Yes**|
| **Type** | string | Token Type |**Yes**|
| **CreateTime** | int | Creation Time |**Yes**|
| **ModifyTime** | int | Modification Time |**Yes**|

#### AKSK

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **AccessKey** | string | Public Key |**Yes**|
| **SecretKey** | string | Private Key |**Yes**|

## Example

### Request Example
    
```
https://api.dezai.com/?Action=ListURocketMQToken
&Region=cn-zj
&ProjectId=hzcDQprq
&ServiceId=iTPdUcqm
&Limit=1
&Offset=8
```

### Response Example
    
```json
{
  "Action": "ListURocketMQTokenResponse",
  "Message": "OdLGlqYH",
  "RetCode": 0,
  "TokenList": [
    {
      "AKSK": {},
      "CreateTime": 6,
      "ModifyTime": 7,
      "Name": "CjZnNgAO",
      "ServiceId": "buJzEhNa",
      "TokenId": "VwFKblMj",
      "TopicConsumePerm": "lzYGFXsI",
      "TopicProducePerm": "VDjCndCl",
      "Type": "Default"
    }
  ],
  "TotalCount": 6
}
```





